question

ZanetaRezkova-9896 avatar image
5 Votes"
ZanetaRezkova-9896 asked SIRAPURAMRAHULRAJ-3722 commented

error: Microsoft Visual C++ 14.0 or greater is required. Get it with "Microsoft C++ Build Tools": https://visualstudio.microsoft.com/visual-cpp-build-tools/

Hello,

I'm trying install library web3. Unfortunatly the code ended with this error every time.

error: Microsoft Visual C++ 14.0 or greater is required. Get it with "Microsoft C++ Build Tools": https://visualstudio.microsoft.com/visual-cpp-build-tools/

I have python 3.7.5 and windows 10 home. The MV C++ I have already installed and the version of Visual Studio is 2019 and Visual C++ Build Tools 2015.

Can somebody take me advice?
Thank you.

c++
5 |1600 characters needed characters left characters exceeded

Up to 10 attachments (including images) can be used with a maximum of 3.0 MiB each and 30.0 MiB total.

JeanineZhang-MSFT avatar image
11 Votes"
JeanineZhang-MSFT answered SIRAPURAMRAHULRAJ-3722 published

Hi,

According to the issue, as far as I'm concerned you could install the latest build tools.

I suggest you could try to go to the link and download this:

34850-10261.png

And then check that and download what you need there or you might found there that you just need to update Microsoft Visual C++ as stated on the error, but I also suggest to update everything there cause you might still need it on your future programs.

34873-10262.png

Best Regards,

Jeanine



If the response is helpful, please click "Accept Answer" and upvote it.

Note: Please follow the steps in our documentation to enable e-mail notifications if you want to receive the related email notification for this thread.



10261.png (14.1 KiB)
10262.png (79.0 KiB)
· 11
5 |1600 characters needed characters left characters exceeded

Up to 10 attachments (including images) can be used with a maximum of 3.0 MiB each and 30.0 MiB total.

Yes, I already did exactly this. And the error still persist.

1 Vote 1 ·

@ZanetaRezkova-9896 , did you forget to run pip install --upgrade setuptools?

0 Votes 0 ·

No, setuptools has upgraded.

"Requirement already up-to-date: setuptools in c:\python38\lib\site-packages (50.3.2)"

2 Votes 2 ·
Show more comments

Thank u so much.

0 Votes 0 ·

This worked for me after so much struggle. Thanks. The picture may not exactly match the latest version of visual tools, installing c++ build tools with the default options checked does help.

0 Votes 0 ·
BlondisBarriosEspinosa-2776 avatar image
1 Vote"
BlondisBarriosEspinosa-2776 answered

The problem is Python310 dont know file (.whl), so, you must to download here https://www.lfd.uci.edu/~gohlke/pythonlibs/#pyodbc and install: pip install pyodbc‑4.0.32‑cp310‑cp310‑win_amd64.whl

5 |1600 characters needed characters left characters exceeded

Up to 10 attachments (including images) can be used with a maximum of 3.0 MiB each and 30.0 MiB total.

FlorianWill-9571 avatar image
0 Votes"
FlorianWill-9571 answered Konski-6585 published

Are you trying to use a Linux Python program on a Windows system? First, install WSL and do it all over again from your Linux prompt.

· 1
5 |1600 characters needed characters left characters exceeded

Up to 10 attachments (including images) can be used with a maximum of 3.0 MiB each and 30.0 MiB total.

Is web3 for linux only ?

0 Votes 0 ·